/*
 * Copyright(C) 2000 Проект ИОК
 *
 * Этот файл содержит информацию, являющуюся
 * собственностью компании Крипто Про.
 *
 * Любая часть этого файла не может быть скопирована,
 * исправлена, переведена на другие языки,
 * локализована или модифицирована любым способом,
 * откомпилирована, передана по сети с или на
 * любую компьютерную систему без предварительного
 * заключения соглашения с компанией Крипто Про.
 */

#if !defined( _READER_HDIMAGE_HDIMGINF_H )
#define _READER_HDIMAGE_HDIMGINF_H

#include "reader.kit/reader.h"

#if defined( __cplusplus )
extern "C" {
#endif /* __cplusplus */

/* Функция получения системных флагов. */
DWORD hdimage_info_system_flag(TSupSysContext *context, TSupSysInfo*);

/* Функция регистрирования считывателя. */
DWORD hdimage_register(TSupSysContext *context, TSupSysInfo *info);
DWORD hdimage_unregister(TSupSysContext *context, TSupSysInfo *info);
DWORD hdimage_context_dup(TSupSysContext *context,TSupSysInfo *info);

/* Функция установки флага local_machine. */
DWORD hdimage_local_machine(TSupSysContext *context, TSupSysInfo *info);

DWORD hdimage_info_ids(TSupSysContext *context, TSupSysInfo *info);
DWORD hdimage_get_text_info(TSupSysContext *context, TSupSysInfo *info);


DWORD ehdimage_register(TSupSysContext *context, TSupSysInfo *info);
DWORD ehdimage_info_system_flag(TSupSysContext *context, TSupSysInfo*);
DWORD ehdimage_info_ids(TSupSysContext *context, TSupSysInfo *info);
DWORD ehdimage_get_text_info(TSupSysContext *context, TSupSysInfo *info);

#if defined( __cplusplus )
}
#endif /* __cplusplus */

#endif /* !_READER_HDIMAGE_HDINF_H */
